> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/warehouse-transactions.md).

# Warehouse Transactions

## Get transactions

> This api is used to fetch warehouse transactions from OutSmart.  \
> Filters can be given by adding a key and values array to the URL.  \
> Adding a single filter: \&key=key1\&value=value1\&operator=gt  \
> Adding multiple filters: \&key\\\[\\]=key1\&value\\\[\\]=value1\&operator\\\[\\]=eq\&key\\\[\\]=key2\&value\\\[\\]=value2\&operator\\\[\\]=gt\
> \
> Following operators are allowed:\
> \
> \| Operator | Description |\
> \| --- | --- |\
> \| li | Like (%) |\
> \| eq | Equal (=) |\
> \| ne | Not equal (!=) |\
> \| gt | Greather than (>) |\
> \| ge | Greather than or equal (>=) |\
> \| lt | Less than (<) |\
> \| le | Less than or equal (<=) |\
> \| Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted. |  |\
> \
> \| Parameter | Description | Type |\
> \| --- | --- | --- |\
> \| wst\_id | Warehouse Transaction Primary Key | int(11) |\
> \| wst\_cus\_id | Customer ID | int(11) |\
> \| wst\_transaction\_id | Transaction ID | varchar(255) |\
> \| wst\_article\_code | Article code | varchar(255) |\
> \| wst\_article\_description | Article description | varchar(255) |\
> \| wst\_wse\_code | Warehouse code | varchar(55) |\
> \| wst\_wse\_description | Warehouse description | varchar(255) |\
> \| wst\_amount | Transaction amount | decimal(20,5) |\
> \| wst\_type | Transaction type (1: In / 2: Out) | varchar(55) |\
> \| wst\_reference\_type | Origin entity of transaction | varchar(55) |\
> \| wst\_reference | Origin record of transaction | varchar(255) |\
> \| wst\_order\_nr | Work order number of transaction | varchar(255) |\
> \| wst\_object\_code | Object code for transaction | varchar(255) |\
> \| wst\_remarks | Remarks for transaction | text |\
> \| wst\_status | Transaction status (PENDING/PROCESSED) | varchar(55) |\
> \| wst\_date | Transaction date | timestamp |\
> \| wst\_timestamp\_create | Creation date of transaction | timestamp |\
> \| wst\_timestamp\_mutate | Mutation date of transaction | timestamp |\
> \| wst\_timestamp\_processed | Processed date of transaction | timestamp |\
> \| wst\_user\_create | Transaction created by | varchar(255) |\
> \| wst\_user\_mutate | Transaction mutated by | varchar(255) |\
> \| wst\_user\_processed | Transaction processed by | varchar(255) |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouses/transactions/":{"get":{"summary":"Get transactions","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key","in":"query","schema":{"type":"string"}},{"name":"operator","in":"query","schema":{"type":"string"}},{"name":"value","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Get transactions","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"Access-Control-Max-Age":{"schema":{"type":"integer"}},"Access-Control-Allow-Methods":{"schema":{"type":"string"}},"Access-Control-Allow-Headers":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Access-Control-Allow-Origin":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"array","items":{"type":"object","properties":{"wst_id":{"type":"string","format":"utc-millisec"},"wst_cus_id":{"type":"string","format":"utc-millisec"},"wst_transaction_id":{"type":"string"},"wst_article_code":{"type":"string","format":"utc-millisec"},"wst_article_description":{"type":"string"},"wst_wse_code":{"type":"string","format":"utc-millisec"},"wst_wse_description":{"type":"string"},"wst_amount":{"type":"string","format":"utc-millisec"},"wst_type":{"type":"string"},"wst_reference_type":{"type":"string"},"wst_reference":{"type":"string","format":"utc-millisec"},"wst_order_nr":{"type":"null"},"wst_obj_code":{"type":"null"},"wst_remarks":{"type":"string"},"wst_status":{"type":"string"},"wst_date":{"type":"string","format":"style"},"wst_timestamp_create":{"type":"string"},"wst_timestamp_mutate":{"type":"string","format":"style"},"wst_timestamp_processed":{"type":"null"},"wst_user_create":{"type":"null"},"wst_user_mutate":{"type":"null"},"wst_user_processed":{"type":"null"}}}}}}}}}},"tags":["Warehouse Transactions"],"description":"This api is used to fetch warehouse transactions from OutSmart.  \nFilters can be given by adding a key and values array to the URL.  \nAdding a single filter: &key=key1&value=value1&operator=gt  \nAdding multiple filters: &key\\[\\]=key1&value\\[\\]=value1&operator\\[\\]=eq&key\\[\\]=key2&value\\[\\]=value2&operator\\[\\]=gt\n\nFollowing operators are allowed:\n\n| Operator | Description |\n| --- | --- |\n| li | Like (%) |\n| eq | Equal (=) |\n| ne | Not equal (!=) |\n| gt | Greather than (>) |\n| ge | Greather than or equal (>=) |\n| lt | Less than (<) |\n| le | Less than or equal (<=) |\n| Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted. |  |\n\n| Parameter | Description | Type |\n| --- | --- | --- |\n| wst_id | Warehouse Transaction Primary Key | int(11) |\n| wst_cus_id | Customer ID | int(11) |\n| wst_transaction_id | Transaction ID | varchar(255) |\n| wst_article_code | Article code | varchar(255) |\n| wst_article_description | Article description | varchar(255) |\n| wst_wse_code | Warehouse code | varchar(55) |\n| wst_wse_description | Warehouse description | varchar(255) |\n| wst_amount | Transaction amount | decimal(20,5) |\n| wst_type | Transaction type (1: In / 2: Out) | varchar(55) |\n| wst_reference_type | Origin entity of transaction | varchar(55) |\n| wst_reference | Origin record of transaction | varchar(255) |\n| wst_order_nr | Work order number of transaction | varchar(255) |\n| wst_object_code | Object code for transaction | varchar(255) |\n| wst_remarks | Remarks for transaction | text |\n| wst_status | Transaction status (PENDING/PROCESSED) | varchar(55) |\n| wst_date | Transaction date | timestamp |\n| wst_timestamp_create | Creation date of transaction | timestamp |\n| wst_timestamp_mutate | Mutation date of transaction | timestamp |\n| wst_timestamp_processed | Processed date of transaction | timestamp |\n| wst_user_create | Transaction created by | varchar(255) |\n| wst_user_mutate | Transaction mutated by | varchar(255) |\n| wst_user_processed | Transaction processed by | varchar(255) |"}}}}
```

## Add transactions

> \| Parameter | Description | Required | Type |\
> \| --- | --- | --- | --- |\
> \| wst\_transaction\_id | Transaction ID | N | varchar(255) |\
> \| wst\_article\_code | Article code | Y | varchar(255) |\
> \| wst\_article\_description | Article description | N | varchar(255) |\
> \| wst\_wse\_code | Warehouse code | Y | varchar(55) |\
> \| wst\_wse\_description | Warehouse description | N | varchar(255) |\
> \| wst\_amount | Transaction amount | Y | decimal(20,5) |\
> \| wst\_type | Transaction type (1: In / 2: Out) | N | varchar(55) |\
> \| wst\_reference\_type | Origin entity of transaction | N | varchar(55) |\
> \| wst\_reference | Origin record of transaction | N | varchar(255) |\
> \| wst\_order\_nr | Work order number of transaction | N | varchar(255) |\
> \| wst\_object\_code | Object code for transaction | N | varchar(255) |\
> \| wst\_remarks | Remarks for transaction | N | text |\
> \| wst\_status | Transaction status (PENDING/PROCESSED) | Y | varchar(55) |\
> \| wst\_date | Transaction date  \<br>(Y-M-D H:i:s) | N | timestamp |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/warehouses/transactions/":{"post":{"summary":"Add transactions","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Add transactions","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"Access-Control-Max-Age":{"schema":{"type":"integer"}},"Access-Control-Allow-Methods":{"schema":{"type":"string"}},"Access-Control-Allow-Headers":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Access-Control-Allow-Origin":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"integer"}}}}}}},"tags":["Warehouse Transactions"],"description":"| Parameter | Description | Required | Type |\n| --- | --- | --- | --- |\n| wst_transaction_id | Transaction ID | N | varchar(255) |\n| wst_article_code | Article code | Y | varchar(255) |\n| wst_article_description | Article description | N | varchar(255) |\n| wst_wse_code | Warehouse code | Y | varchar(55) |\n| wst_wse_description | Warehouse description | N | varchar(255) |\n| wst_amount | Transaction amount | Y | decimal(20,5) |\n| wst_type | Transaction type (1: In / 2: Out) | N | varchar(55) |\n| wst_reference_type | Origin entity of transaction | N | varchar(55) |\n| wst_reference | Origin record of transaction | N | varchar(255) |\n| wst_order_nr | Work order number of transaction | N | varchar(255) |\n| wst_object_code | Object code for transaction | N | varchar(255) |\n| wst_remarks | Remarks for transaction | N | text |\n| wst_status | Transaction status (PENDING/PROCESSED) | Y | varchar(55) |\n| wst_date | Transaction date  <br>(Y-M-D H:i:s) | N | timestamp |"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/warehouse-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
